<?php
/***********************************************************************
** Title.........:    Insert File Dialog, File Manager
** Version.......:    1.1
** Authors.......:    Al Rashid <alrashid@klokan.sk>
**                    Xiang Wei ZHUO <wei@zhuo.org>
** Filename......:    config.php
** URL...........:    http://alrashid.klokan.sk/insFile/
** Last changed..:    23 July 2004
***********************************************************************/
/** ensure this file is being included by a parent file */
$base_path = '../../../../../../../../';
if (!empty($_SERVER['SCRIPT_FILENAME'])
    && $pos = strpos($_SERVER['SCRIPT_FILENAME'],
                     'mambots/editors/mostlyce/jscripts/tiny_mce'))
{
  $base_path = substr($_SERVER['SCRIPT_FILENAME'], 0, $pos);
}
require_once ($base_path."configuration.php");

require_once ( $mosConfig_absolute_path."/mambots/editors/mostlyce/jscripts/tiny_mce/mostlyce_config.php" );
$tinyMCE_path = $mosConfig_absolute_path."/mambots/editors/mostlyce/jscripts/tiny_mce/";
include_once ( $tinyMCE_path."auth_plugin.php" );

$userDir = '';
$base_dir = $mosConfig_absolute_path.$editor_fm_doc_root;
$base_url = $mosConfig_live_site.$editor_fm_base_url;

function escape($filename) {
    $filename = strtolower($filename);
    $filename = ereg_replace("[^a-z0-9._]", "", str_replace(" ", "_", str_replace("%20", "_", strtolower($filename))));
    return $filename;
}

$usertype = strtolower( $fmAuth->getUserType() );
$username = $fmAuth->getUsername();

/*
 MY_DOCUMENT_ROOT
 File system path to the directory you want to manage the files and folders
 NOTE: This directory requires write permission by PHP. That is,
       PHP must be able to create files in this directory.
 NOTE2: without trailing slash
*/
//$MY_DOCUMENT_ROOT = 'C:\Apache\www\gul\insFile\data';
$MY_DOCUMENT_ROOT = $base_dir;
/*
 MY_BASE_URL
 Not used in htmlarea3-plugin version
*/
$MY_BASE_URL = $base_url;

/*
 MY_URL_TO_OPEN_FILE
 The URL to the MY_DOCUMENT_ROOT path, the web browser needs to be able to see it.
 It can be protected via .htaccess on apache or directory permissions on IIS,
 check you web server documentation for futher information on directory protection
 If this directory needs to be publicly accessiable, remove scripting capabilities
 for this directory (i.e. disable PHP, Perl, CGI). We only want to store documents
 in this directory and its subdirectories.
 NOTE: without trailing slash
*/
$MY_URL_TO_OPEN_FILE         = $base_url;
//$MY_URL_TO_OPEN_FILE         = 'http://gul.net/insFile/data';

/*
 MY_ALLOW_EXTENSIONS
 MY_DENY_EXTENSIONS
 MY_ALLOW_EXTENSIONS and MY_DENY_EXTENSIONS arrays specify which file types can be uploaded.
 Setting to null skips this check. The scheme is:
 1) If MY_DENY_EXTENSIONS is not null check if it does _not_ contain file extension of the file to be uploaded.
    If it does skip the upload procedure.
 2) If MY_ALLOW_EXTENSIONS is not null check if it _does_ contain file extension of the file to be uploaded.
    If it doesn't skip the upload procedure.
 3) Upload file.
 NOTE: File extensions arrays are case insensitive.
        You should always include server side executable file types in MY_DENY_EXTENSIONS !!!
*/
$MY_ALLOW_EXTENSIONS        = explode(',', $editor_fm_allow_ext);
$MY_DENY_EXTENSIONS         = explode(',', $editor_fm_deny_ext);

/*
 MY_LIST_EXTENSIONS
 This array specifies which files are listed in dialog. Setting to null causes that all files are listed.
 NOTE: File extensions arrays are case insensitive.
*/
$MY_LIST_EXTENSIONS                = explode(',', $editor_fm_allow_ext);

/*
 MY_ALLOW_CREATE
 Boolean (false or true) whether creating folders is allowed or not.
*/
$MY_ALLOW_CREATE                  = 'true';

/*
 $MY_ALLOW_DELETE
 Boolean (false or true) whether deleting files and folders is allowed or not.
*/
$MY_ALLOW_DELETE                = 'true';

/*
 $MY_ALLOW_RENAME
 Boolean (false or true) whether renaming files and folders is allowed or not.
*/
$MY_ALLOW_RENAME                = 'true';

/*
 $MY_ALLOW_MOVE
 Boolean (false or true) whether moving files and folders is allowed or not.
*/
$MY_ALLOW_MOVE                        = 'true';

/*
 $MY_ALLOW_UPLOAD
 Boolean (false or true) whether uploading files is allowed or not.
*/
$MY_ALLOW_UPLOAD                = 'true';

/*
 $MY_ALLOW_UPLOAD
 Maximum allowed size for uploaded files (in bytes).
 NOTE2: see also upload_max_filesize setting in your php.ini file
 NOTE: 2*1024*1024 means 2 MB (megabytes) which is the default php.ini setting
*/
$MY_MAX_FILE_SIZE                 = $editor_fm_max_size*1024*1024;

/*
 $MY_LANG
 Interface language. See the lang directory for translation files.
 NOTE: You should set appropriately MY_CHARSET and $MY_DATETIME_FORMAT variables
*/
$MY_LANG                                 = $editor_lang;

/*
 $MY_CHARSET
 Character encoding for all Insert File dialogs.
 WARNING: For non english and non iso-8859-1 / utf8 users mostly !!!
                 This setting affect also how the name of folder you create via Insert File Dialog
                 and the name of file uploaded via Insert File Dialog will be encoded on your remote
                 server filesystem. Note also the difference between how file names in multipart/data
                 form are encoded by Internet Explorer (plain text depending on the webpage charset)
                and Mozilla (encoded according to RFC 1738).
                This should be fixed in next versions. Any help is VERY appreciated.
*/
$MY_CHARSET             = 'iso-8859-1';

/*
 MY_DATETIME_FORMAT
 Datetime format for displaying file modification time in Insert File Dialog
 and in inserted link, see MY_LINK_FORMAT
*/
$MY_DATETIME_FORMAT                = "d.m.Y H:i";

/*
 parse_icon function
 please insert additional file types (extensions) and theis corresponding icons in switch statement
*/

function parse_icon($ext) {
        switch (strtolower($ext)) {
                case 'doc': return 'doc_small.gif';
                case 'rtf': return 'doc_small.gif';
                case 'txt': return 'txt_small.gif';
                case 'xls': return 'xls_small.gif';
                case 'csv': return 'xls_small.gif';
                case 'ppt': return 'ppt_small.gif';
                case 'html': return 'html_small.gif';
                case 'htm': return 'html_small.gif';
                case 'php': return 'script_small.gif';
                case 'php3': return 'script_small.gif';
                case 'cgi': return 'script_small.gif';
                case 'pdf': return 'pdf_small.gif';
                case 'rar': return 'rar_small.gif';
                case 'zip': return 'zip_small.gif';
                case 'gz': return 'gz_small.gif';
                case 'jpg': return 'jpg_small.gif';
                case 'gif': return 'gif_small.gif';
                case 'png': return 'png_small.gif';
                case 'bmp': return 'image_small.gif';
                case 'exe': return 'binary_small.gif';
                case 'bin': return 'binary_small.gif';
                case 'avi': return 'wmv_small.gif';
                case 'mpg': return 'wmv_small.gif';
                case 'moc': return 'wmv_small.gif';
                case 'asf': return 'wmv_small.gif';
                case 'wmv': return 'wmv_small.gif';
                case 'mp3': return 'sound_small.gif';
                case 'wav': return 'sound_small.gif';
                case 'org': return 'sound_small.gif';
                case 'swf': return 'flash_small.gif';
                case 'mov': return 'mov_small.gif';
                case 'mp4': return 'mov_small.gif';
        default:
                return 'def_small.gif';
        }
}

// DO NOT EDIT BELOW
$MY_NAME = 'insertfiledialog';
$MY_PATH = '/';
$MY_UP_PATH = '/';
